{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/Stefano10/5GOpenLabBR/1.0"}],"info":{"version":"1.0","title":"5gOpenLabBR","description":"The API for the 5G Open Lab BR"},"paths":{"/ping":{"get":{"tags":["Test"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","example":"pong"}}}}}}},"/pointOfInterest":{"get":{"tags":["PoI"],"description":"returns all registered Point of Interest","operationId":"getpoi","parameters":[{"in":"query","name":"skip","description":"number of records to skip","schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","description":"max number of records to return","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All the hot spots","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}}}}}},"post":{"tags":["PoI"],"operationId":"poi","parameters":[{"in":"query","name":"name","description":"member name","schema":{"type":"string"},"required":true},{"in":"query","name":"lat","description":"latitude","schema":{"type":"number"},"required":true},{"in":"query","name":"longitude","description":"longitude","schema":{"type":"number"},"required":true},{"in":"query","name":"type","description":"poi type","schema":{"type":"string","enum":["hospital","base","enemy"]},"required":true},{"in":"query","name":"adress","description":"poi adress","schema":{"type":"string"},"required":true},{"in":"query","name":"description","description":"poi description","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"successfully registered member"}}}},"/pointOfInterest/{poiID}":{"get":{"tags":["PoI"],"summary":"Get a point Of interest by ID","parameters":[{"in":"path","name":"poiID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the pointOfInterest to get"}],"responses":{"200":{"description":"return poi infos","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PointOfInterest","format":"json"}}}}}},"delete":{"tags":["PoI"],"summary":"Delete a point Of interest by ID","parameters":[{"in":"path","name":"poiID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the pointOfInterest to get"}],"responses":{"200":{"description":"ok"},"404":{"description":"A PoI with the specified ID was not found."}}}},"/member":{"get":{"tags":["Member"],"description":"returns all registered member","operationId":"getMember","parameters":[{"in":"query","name":"skip","description":"number of records to skip","schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","description":"max number of records to return","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All the members","content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/Member"}],"format":"json"}}}}}}},"post":{"tags":["Member"],"operationId":"addMember","parameters":[{"in":"query","name":"name","description":"member name","schema":{"type":"string"},"required":true},{"in":"query","name":"user","description":"member user","schema":{"type":"string"},"required":true},{"in":"query","name":"password","description":"member password","schema":{"type":"string"},"required":true},{"in":"query","name":"militarRank","description":"member rank","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"successfully registered member"}}}},"/member/{memberID}":{"get":{"tags":["Member"],"summary":"Get a member by ID","parameters":[{"in":"path","name":"memberID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the member to get"}],"responses":{"200":{"description":"return member infos","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Member","format":"json"}}}}}},"delete":{"tags":["Member"],"summary":"Delete a member by ID","parameters":[{"in":"path","name":"memberID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the member to delete"}],"responses":{"200":{"description":"ok"},"404":{"description":"A member with the specified ID was not found."}}}},"/squad":{"get":{"tags":["Squad"],"description":"returns all registered squads","operationId":"getSquads","parameters":[{"in":"query","name":"skip","description":"number of records to skip","schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","description":"max number of records to return","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All the squads","content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/Squad"}],"format":"json"}}}}}}},"post":{"tags":["Squad"],"operationId":"squad","parameters":[{"in":"query","name":"name","description":"squad name","schema":{"type":"string"},"required":true},{"in":"query","name":"membersID","description":"squads members","schema":{"type":"array","items":{"type":"integer"}},"required":true}],"responses":{"200":{"description":"successfully registered squad"}}}},"/squad/{squadID}":{"get":{"tags":["Squad"],"summary":"Get a squad by ID","parameters":[{"in":"path","name":"squadID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the squad to get"}],"responses":{"200":{"description":"return squad infos","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Squad","format":"json"}}}}}},"delete":{"tags":["Squad"],"summary":"Delete a squad by ID","parameters":[{"in":"path","name":"squadID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the squad to delete"}],"responses":{"200":{"description":"ok"},"404":{"description":"A squad with the specified ID was not found."}}}},"/operation":{"get":{"tags":["Operation"],"description":"returns all registered operations","operationId":"getOperations","parameters":[{"in":"query","name":"skip","description":"number of records to skip","schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","description":"max number of records to return","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All the operations","content":{"application/json":{"schema":{"type":"array","items":{"allOf":[{"$ref":"#/components/schemas/Operation"}],"format":"json"}}}}}}},"post":{"tags":["Operation"],"operationId":"operation","parameters":[{"in":"query","name":"name","description":"operation name","schema":{"type":"string"}},{"in":"query","name":"date","description":"operation date","schema":{"type":"string","format":"date-time"}},{"in":"query","name":"target","description":"operation target","schema":{"type":"string"}},{"in":"query","name":"squad","description":"squad id","schema":{"type":"integer"}}],"responses":{"200":{"description":"successfully registered operation"}}}},"/operation/{operationID}":{"get":{"tags":["Operation"],"summary":"Get a operation by ID","parameters":[{"in":"path","name":"operationID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the operation to get"}],"responses":{"200":{"description":"return squad infos","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operation","format":"json"}}}}}},"delete":{"tags":["Operation"],"summary":"Delete a operation by ID","parameters":[{"in":"path","name":"operationID","schema":{"type":"integer"},"required":true,"description":"Numeric ID of the operation to delete"}],"responses":{"200":{"description":"ok"},"404":{"description":"A operation with the specified ID was not found."}}}}},"components":{"schemas":{"PointOfInterest":{"required":["name","lat","lon","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64","example":10},"name":{"type":"string","example":"hospital"},"lat":{"format":"float","maximum":85,"minimum":-85,"type":"number"},"lon":{"format":"float","maximum":180,"minimum":-180,"type":"number"},"type":{"type":"string","enum":["hospital","base","enemy"]},"description":{"type":"string","example":"Hospital geral"},"adress":{"type":"string","example":"rua nome da rua"}}},"Member":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":12},"name":{"type":"string","example":"João da silva"},"user":{"type":"string","example":"joao"},"password":{"type":"string","example":"1234"},"militarRank":{"type":"integer","format":"int32"},"streamID":{"type":"integer","format":"int64"},"lat":{"format":"float","maximum":85,"minimum":-85,"type":"number"},"lon":{"format":"float","maximum":180,"minimum":-180,"type":"number"}}},"Squad":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":2},"name":{"type":"string","example":"time1"},"members":{"type":"array","items":{"$ref":"#/components/schemas/Member"}}}},"Operation":{"type":"object","properties":{"id":{"type":"integer","format":"int64","example":1},"name":{"type":"string","example":"operação especial"},"date":{"type":"string","format":"date-time"},"target":{"type":"string"},"squad":{"type":"array","items":{"$ref":"#/components/schemas/Squad"}}}}}}}